#include "chdecl.h"
void CH_pshell(current, sched, cop)
#define ARGUMENTS 10
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto cb6;
    case 4: goto c7;
    case 5: goto c10;
    case 6: goto c13;
    case 7: goto c15;
    case 8: goto cb18;
    case 9: goto c19;
    case 10: goto c22;
    case 11: goto c26;
    case 12: goto c29;
    case 13: goto cb47;
    case 14: goto c48;
    case 15: goto cb60;
    case 16: goto c61;
    case 17: goto c64;
    case 18: goto c68;
    case 19: goto c71;
    case 20: goto cb74;
    case 21: goto c75;
    case 22: goto c78;
    case 23: goto c82;
    case 24: goto c85;
    case 25: goto cb88;
    case 26: goto c89;
    case 27: goto c95;
    case 28: goto c99;
    case 29: goto c102;
    case 30: goto c107;
    case 31: goto c113;
    case 32: goto c130;
    case 33: goto cb141;
    case 34: goto c142;
    case 35: goto c143;
    case 36: goto cb147;
    case 37: goto c148;
    case 38: goto c149;
    case 39: goto c150;
    case 40: goto cb151;
    case 41: goto c152;
    case 42: goto cb180;
    case 43: goto c181;
    case 44: goto c183;
    case 45: goto c185;
    case 46: goto cb191;
    case 47: goto c192;
    case 48: goto c193;
    case 49: goto c195;
    case 50: goto cb197;
    case 52: goto c199;
    case 53: goto cb200;
    case 51: goto c201;
    case 54: goto c201;
    case 55: goto c206;
    case 56: goto cb222;
    case 57: goto c223;
    case 58: goto c225;
    case 59: goto cb226;
    case 61: goto c228;
    case 62: goto cb230;
    case 60: goto c231;
    case 63: goto c231;
    case 64: goto c236;
    case 65: goto cb240;
    case 66: goto c241;
    case 67: goto cb242;
    case 68: goto c243;
    case 69: goto c245;
    case 70: goto cb247;
    case 71: goto c248;
    case 72: goto c250;
    case 73: goto cb253;
    case 75: goto c255;
    case 76: goto cb262;
    case 78: goto c264;
    case 79: goto cb271;
    case 81: goto c273;
    case 82: goto cb276;
    case 84: goto c278;
    case 85: goto c284;
    case 86: goto c286;
    case 87: goto cb312;
    case 83: goto c313;
    case 80: goto c313;
    case 77: goto c313;
    case 74: goto c313;
    case 88: goto c313;
    case 89: goto c325;
    case 90: goto c328;
    case 91: goto c336;
    case 92: goto c338;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* block , 2 */
  if((ch_returncode = che_block(QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 4 , "stdin" */
  if( !chs_lit(DEF(4),"stdin") ) goto ch_depletion;
/* chs_lit 5 , "stdio" */
  if( !chs_lit(DEF(5),"stdio") ) goto ch_depletion;
  current->ip = 3;
cb6:
/* call 3.2.2 4 5 6 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(4),
          arguments[2] = DEF(5),
          arguments[3] = DEF(6),
          arguments[3+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c7:
/* unwrap 7 6 , 4 */
  if ((ch_returncode = che_unwrap(DEF(7),DEF(6),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 15 */
   goto c15;
c10:
/* new_record 7 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val; REF(7).tsdr = & dr_record;
/* copy 7.1 3.1.2 */
  if((ch_returncode = cp_outport(& ch_val, REF(3)DOT(1)DOT(2).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(7)DOT(1).tsdr)->finalize)(REF(7)DOT(1).value,F_DISCARD,sched);
  REF(7)DOT(1).value = ch_val;
  REF(7)DOT(1).tsdr = & dr_outport;
/* branch , 15 */
   goto c15;
c13:
/* new_record 7 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val; REF(7).tsdr = & dr_record;
/* copy 7.1 3.1.2 */
  if((ch_returncode = cp_outport(& ch_val, REF(3)DOT(1)DOT(2).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(7)DOT(1).tsdr)->finalize)(REF(7)DOT(1).value,F_DISCARD,sched);
  REF(7)DOT(1).value = ch_val;
  REF(7)DOT(1).tsdr = & dr_outport;
c15:
/* block , 5 */
  if((ch_returncode = che_block(QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 8 , "stdout" */
  if( !chs_lit(DEF(8),"stdout") ) goto ch_depletion;
/* chs_lit 9 , "stdio" */
  if( !chs_lit(DEF(9),"stdio") ) goto ch_depletion;
  current->ip = 8;
cb18:
/* call 3.2.2 8 9 10 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(8),
          arguments[2] = DEF(9),
          arguments[3] = DEF(10),
          arguments[3+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c19:
/* unwrap 11 10 , 6 */
  if ((ch_returncode = che_unwrap(DEF(11),DEF(10),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 29 */
   goto c29;
c22:
/* new_record 11 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).value = ch_val; REF(11).tsdr = & dr_record;
/* copy 11.1 3.1.0 */
  if((ch_returncode = cp_outport(& ch_val, REF(3)DOT(1)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(11)DOT(1).tsdr)->finalize)(REF(11)DOT(1).value,F_DISCARD,sched);
  REF(11)DOT(1).value = ch_val;
  REF(11)DOT(1).tsdr = & dr_outport;
/* copy 11.2 3.1.1 */
  if((ch_returncode = cp_outport(& ch_val, REF(3)DOT(1)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(11)DOT(2).tsdr)->finalize)(REF(11)DOT(2).value,F_DISCARD,sched);
  REF(11)DOT(2).value = ch_val;
  REF(11)DOT(2).tsdr = & dr_outport;
/* branch , 29 */
   goto c29;
c26:
/* new_record 11 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).value = ch_val; REF(11).tsdr = & dr_record;
/* copy 11.1 3.1.0 */
  if((ch_returncode = cp_outport(& ch_val, REF(3)DOT(1)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(11)DOT(1).tsdr)->finalize)(REF(11)DOT(1).value,F_DISCARD,sched);
  REF(11)DOT(1).value = ch_val;
  REF(11)DOT(1).tsdr = & dr_outport;
/* copy 11.2 3.1.1 */
  if((ch_returncode = cp_outport(& ch_val, REF(3)DOT(1)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(11)DOT(2).tsdr)->finalize)(REF(11)DOT(2).value,F_DISCARD,sched);
  REF(11)DOT(2).value = ch_val;
  REF(11)DOT(2).tsdr = & dr_outport;
c29:
/* chs_lit 12 , " " */
  if( !chs_lit(DEF(12)," ") ) goto ch_depletion;
/* ordenum_lit 13 , 9 */
  REF(13).value.ord_enum = 9;
  REF(13).tsdr = & dr_ord_enumeration;
/* insert 12 13 */
  if ((ch_returncode = insertfunc(DEF(12),DEF(13),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* chs_lit 14 , "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz" */
  if( !chs_lit(DEF(14),"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz"
    ) ) goto ch_depletion;
/* chs_lit 15 , "0123456789-_./~*?" */
  if( !chs_lit(DEF(15),"0123456789-_./~*?") ) goto ch_depletion;
/* concat 16 14 15 */
  if ((ch_returncode = che_concat(DEF(16),DEF(14),DEF(15),sched)) != Normal)
     goto ch_raise_exception;
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
/* move 17 16 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17) = REF(16);
  REF(16).tsdr = & dr_bottom;
/* chs_lit 18 , "\"'" */
  if( !chs_lit(DEF(18),"\"'") ) goto ch_depletion;
/* chs_lit 19 , "" */
  if( !chs_lit(DEF(19),"") ) goto ch_depletion;
/* prog_lit 20 , 7 */
  if ((ch_returncode = che_prog_lit(DEF(20),QUAL(7),sched)) != Normal) 
     goto ch_raise_exception;
/* create 21 20 , 8 */
  if ((ch_returncode = che_create(DEF(21),DEF(20),QUAL(8),sched)) != Normal)
     goto ch_raise_exception;
/* discard 20 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).tsdr = & dr_bottom;
/* move 22 21 */
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22) = REF(21);
  REF(21).tsdr = & dr_bottom;
  current->ip = 13;
cb47:
/* call 22 17 12 18 19 23 , 9 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(22),
          arguments[1] = DEF(17),
          arguments[2] = DEF(12),
          arguments[3] = DEF(18),
          arguments[4] = DEF(19),
          arguments[5] = DEF(23),
          arguments[5+1] = nil,& arguments[0]),QUAL(9),sched)) != Normal)
     goto ch_raise_exception;
  return;
c48:
/* noop */
  
/* prog_lit 24 , 10 */
  if ((ch_returncode = che_prog_lit(DEF(24),QUAL(10),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 25 24 , 11 */
  if ((ch_returncode = che_procedure(DEF(25),DEF(24),QUAL(11)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
/* move 26 25 */
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  REF(26) = REF(25);
  REF(25).tsdr = & dr_bottom;
/* prog_lit 27 , 12 */
  if ((ch_returncode = che_prog_lit(DEF(27),QUAL(12),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 28 27 , 13 */
  if ((ch_returncode = che_procedure(DEF(28),DEF(27),QUAL(13)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 27 */
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).tsdr = & dr_bottom;
/* move 29 28 */
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29) = REF(28);
  REF(28).tsdr = & dr_bottom;
/* block , 14 */
  if((ch_returncode = che_block(QUAL(14),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 30 , "setCwd" */
  if( !chs_lit(DEF(30),"setCwd") ) goto ch_depletion;
/* chs_lit 31 , "" */
  if( !chs_lit(DEF(31),"") ) goto ch_depletion;
  current->ip = 15;
cb60:
/* call 3.2.2 30 31 32 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(30),
          arguments[2] = DEF(31),
          arguments[3] = DEF(32),
          arguments[3+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c61:
/* unwrap 33 32 , 15 */
  if ((ch_returncode = che_unwrap(DEF(33),DEF(32),QUAL(15),sched)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 71 */
   goto c71;
c64:
/* new_inport 34 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  REF(34).value = ch_val; REF(34).tsdr = & dr_inport;
/* connect 33 34 */
  if (REF(34).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(34).value.inport->refcount++;
  REF(33).value.outport = REF(34).value.inport;
  REF(33).tsdr = & dr_outport;
/* discard 34 */
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  REF(34).tsdr = & dr_bottom;
/* branch , 71 */
   goto c71;
c68:
/* new_inport 34 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  REF(34).value = ch_val; REF(34).tsdr = & dr_inport;
/* connect 33 34 */
  if (REF(34).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(34).value.inport->refcount++;
  REF(33).value.outport = REF(34).value.inport;
  REF(33).tsdr = & dr_outport;
/* discard 34 */
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  REF(34).tsdr = & dr_bottom;
c71:
/* block , 16 */
  if((ch_returncode = che_block(QUAL(16),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 35 , "getCwd" */
  if( !chs_lit(DEF(35),"getCwd") ) goto ch_depletion;
/* chs_lit 36 , "" */
  if( !chs_lit(DEF(36),"") ) goto ch_depletion;
  current->ip = 20;
cb74:
/* call 3.2.2 35 36 37 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(35),
          arguments[2] = DEF(36),
          arguments[3] = DEF(37),
          arguments[3+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c75:
/* unwrap 38 37 , 17 */
  if ((ch_returncode = che_unwrap(DEF(38),DEF(37),QUAL(17),sched)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 85 */
   goto c85;
c78:
/* new_inport 39 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(39).tsdr)->finalize)(REF(39).value,F_DISCARD,sched);
  REF(39).value = ch_val; REF(39).tsdr = & dr_inport;
/* connect 38 39 */
  if (REF(39).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  REF(39).value.inport->refcount++;
  REF(38).value.outport = REF(39).value.inport;
  REF(38).tsdr = & dr_outport;
/* discard 39 */
  (*(REF(39).tsdr)->finalize)(REF(39).value,F_DISCARD,sched);
  REF(39).tsdr = & dr_bottom;
/* branch , 85 */
   goto c85;
c82:
/* new_inport 39 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(39).tsdr)->finalize)(REF(39).value,F_DISCARD,sched);
  REF(39).value = ch_val; REF(39).tsdr = & dr_inport;
/* connect 38 39 */
  if (REF(39).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  REF(39).value.inport->refcount++;
  REF(38).value.outport = REF(39).value.inport;
  REF(38).tsdr = & dr_outport;
/* discard 39 */
  (*(REF(39).tsdr)->finalize)(REF(39).value,F_DISCARD,sched);
  REF(39).tsdr = & dr_bottom;
c85:
/* block , 18 */
  if((ch_returncode = che_block(QUAL(18),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 40 , "environ" */
  if( !chs_lit(DEF(40),"environ") ) goto ch_depletion;
/* chs_lit 41 , "" */
  if( !chs_lit(DEF(41),"") ) goto ch_depletion;
  current->ip = 25;
cb88:
/* call 3.2.2 40 41 42 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(40),
          arguments[2] = DEF(41),
          arguments[3] = DEF(42),
          arguments[3+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c89:
/* unwrap 43 42 , 19 */
  if ((ch_returncode = che_unwrap(DEF(43),DEF(42),QUAL(19),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 44 , "HPROMPT" */
  if( !chs_lit(DEF(44),"HPROMPT") ) goto ch_depletion;
/* find 45 43 44 , 0 */
  if (findfunc(DEF(45),DEF(43),(
          arguments[0] = DEF(44),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 46 45.1 */
  if((ch_returncode = cp_table(& ch_val, REF(45)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  REF(46).value = ch_val;
  REF(46).tsdr = & dr_table;
/* endblock */
  che_endblock(sched);
/* branch , 102 */
   goto c102;
c95:
/* discard 43 */
  (*(REF(43).tsdr)->finalize)(REF(43).value,F_DISCARD,sched);
  REF(43).tsdr = & dr_bottom;
/* chs_lit 46 , "pshell: " */
  if( !chs_lit(DEF(46),"pshell: ") ) goto ch_depletion;
/* branch , 102 */
   goto c102;
c99:
/* discard 43 */
  (*(REF(43).tsdr)->finalize)(REF(43).value,F_DISCARD,sched);
  REF(43).tsdr = & dr_bottom;
/* chs_lit 46 , "pshell: " */
  if( !chs_lit(DEF(46),"pshell: ") ) goto ch_depletion;
c102:
/* discard 43 */
  (*(REF(43).tsdr)->finalize)(REF(43).value,F_DISCARD,sched);
  REF(43).tsdr = & dr_bottom;
/* boolean 47 , FALSE */
  REF(47).value.boolean = FALSE;
  REF(47).tsdr = & dr_boolean;
/* boolean 48 , TRUE */
  REF(48).value.boolean = TRUE;
  REF(48).tsdr = & dr_boolean;
c107:
/* not 49 47 */
  REF(49).value.boolean = !REF(47).value.boolean;
  REF(49).tsdr = & dr_boolean;
/* branch_false 49 , 325 */
  if ( !REF(49).value.boolean ) goto c325;
/* block , 20 */
  if((ch_returncode = che_block(QUAL(20),sched)) != Normal)
     goto ch_raise_exception;
/* branch_false 48 , 147 */
  if ( !REF(48).value.boolean ) goto c147;
/* new_table 50 , 21 */
  if ((ch_returncode = che_new_table(DEF(50),QUAL(21),sched)) != Normal) 
     goto ch_raise_exception;
/* initget 51 3.0 , 0,0 */
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(51),DEF(3)DOT(0),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c113:
/* get_or_goto 51 3.0 , 121 */
  if ((ch_returncode = get_selected_object(DEF(51),DEF(3)DOT(0)
    ,sched)) != Normal) goto c121;
/* position 52 51 */
  ch_frame = get_selector_frame(DEF(51),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(52).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(52).tsdr = &dr_integer;
/* ilt . 52 =(2) , 113 */
  if ( REF(52).value.integer < 2 ) goto c113;
/* copy 53 51 */
  if((ch_returncode = (REF(51).tsdr->copy)(& ch_val, REF(51).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  REF(53).value = ch_val;
  REF(53).tsdr = datarepmap[REF(51).tsdr->number];
/* insert 50 53 */
  if ((ch_returncode = insertfunc(DEF(50),DEF(53),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 113 */
   goto c113;
c121:
/* endget 51 3.0 */
  end_selector(DEF(51),DEF(3)DOT(0),sched,GET);
/* move 54 50 */
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54) = REF(50);
  REF(50).tsdr = & dr_bottom;
/* size 55 54 */
  REF(55).value.integer = REF(54).value.table->size;
  REF(55).tsdr = & dr_integer;
/* equal . 55 =(0) , 141 */
  if ( REF(55).value.integer == 0 ) goto c141;
/* new_table 56 , 22 */
  if ((ch_returncode = che_new_table(DEF(56),QUAL(22),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 57 54 */
  if((ch_returncode = cp_table(& ch_val, REF(54).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  REF(57).value = ch_val;
  REF(57).tsdr = & dr_table;
/* initget 58 57 , 0,0 */
  (*(REF(58).tsdr)->finalize)(REF(58).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(58),DEF(57),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c130:
/* get_or_goto 58 57 , 136 */
  if ((ch_returncode = get_selected_object(DEF(58),DEF(57),sched)) != Normal)
     goto c136;
/* chs_lit 59 , " " */
  if( !chs_lit(DEF(59)," ") ) goto ch_depletion;
/* concat 60 58 59 */
  if ((ch_returncode = che_concat(DEF(60),DEF(58),DEF(59),sched)) != Normal)
     goto ch_raise_exception;
/* discard 59 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).tsdr = & dr_bottom;
/* merge 56 60 */
  if ((ch_returncode = mergefunc(DEF(56),DEF(60),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 130 */
   goto c130;
c136:
/* endget 58 57 */
  end_selector(DEF(58),DEF(57),sched,GET);
/* discard 57 */
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  REF(57).tsdr = & dr_bottom;
/* boolean 47 , TRUE */
  REF(47).value.boolean = TRUE;
  REF(47).tsdr = & dr_boolean;
/* branch , 150 */
   goto c150;
c141:
  current->ip = 33;
cb141:
/* call 11.1 46 , 23 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(11)DOT(1),
          arguments[1] = DEF(46),
          arguments[1+1] = nil,& arguments[0]),QUAL(23),sched)) != Normal)
     goto ch_raise_exception;
  return;
c142:
/* call 7.1 61 , 24 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7)DOT(1),
          arguments[1] = DEF(61),
          arguments[1+1] = nil,& arguments[0]),QUAL(24),sched)) != Normal)
     goto ch_raise_exception;
  return;
c143:
/* move 56 61 */
  (*(REF(56).tsdr)->finalize)(REF(56).value,F_DISCARD,sched);
  REF(56) = REF(61);
  REF(61).tsdr = & dr_bottom;
/* boolean 48 , FALSE */
  REF(48).value.boolean = FALSE;
  REF(48).tsdr = & dr_boolean;
/* branch , 150 */
   goto c150;
c147:
  current->ip = 36;
cb147:
/* call 11.1 46 , 23 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(11)DOT(1),
          arguments[1] = DEF(46),
          arguments[1+1] = nil,& arguments[0]),QUAL(23),sched)) != Normal)
     goto ch_raise_exception;
  return;
c148:
/* call 7.1 62 , 24 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7)DOT(1),
          arguments[1] = DEF(62),
          arguments[1+1] = nil,& arguments[0]),QUAL(24),sched)) != Normal)
     goto ch_raise_exception;
  return;
c149:
/* move 56 62 */
  (*(REF(56).tsdr)->finalize)(REF(56).value,F_DISCARD,sched);
  REF(56) = REF(62);
  REF(62).tsdr = & dr_bottom;
c150:
/* discard 54 */
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54).tsdr = & dr_bottom;
  current->ip = 40;
cb151:
/* call 23 56 63 , 25 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(23),
          arguments[1] = DEF(56),
          arguments[2] = DEF(63),
          arguments[2+1] = nil,& arguments[0]),QUAL(25),sched)) != Normal)
     goto ch_raise_exception;
  return;
c152:
/* move 64 63 */
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  REF(64) = REF(63);
  REF(63).tsdr = & dr_bottom;
/* size 65 64 */
  REF(65).value.integer = REF(64).value.table->size;
  REF(65).tsdr = & dr_integer;
/* notequal . 65 =(0) , 158 */
  if ( REF(65).value.integer != 0 ) goto c158;
/* exit , 26 */
  ch_e = handler_type__exit; ch_val = QUAL(26); goto ch_exception;
c158:
/* noop */
  
/* lookup_at 66 64 =(0) */
  if ( !((ch_t = REF(64).value.table)->size) ) goto ch_notfound;
  (*(REF(66).tsdr)->finalize)(REF(66).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(66).value,0);
  REF(66).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 67 66 */
  if((ch_returncode = cp_variant(& ch_val, REF(66).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  REF(67).value = ch_val;
  REF(67).tsdr = & dr_variant;
/* case 68 67 */
  REF(68).value.enumeration = REF(67).value.variant->info.variant_case;
  REF(68).tsdr = & dr_enumeration;
/* notequal . 68 =(0) , 236 */
  if ( REF(68).value.enumeration != 0 ) goto c236;
/* reveal 67 , 0 */
  if (0 != REF(67).value.variant->info.variant_case) goto ch_case_error;
/* chs_lit 69 , "exit" */
  if( !chs_lit(DEF(69),"exit") ) goto ch_depletion;
/* equal 70 67.0 69 */
  REF(70).value.boolean = (eq_table(REF(67)DOT(0).value,REF(69).value));
  REF(70).tsdr = & dr_boolean;
/* chs_lit 71 , "pwd" */
  if( !chs_lit(DEF(71),"pwd") ) goto ch_depletion;
/* equal 72 67.0 71 */
  REF(72).value.boolean = (eq_table(REF(67)DOT(0).value,REF(71).value));
  REF(72).tsdr = & dr_boolean;
/* chs_lit 73 , "cd" */
  if( !chs_lit(DEF(73),"cd") ) goto ch_depletion;
/* equal . 67.0 73 , 206 */
  if ( eq_table(REF(67)DOT(0).value,REF(73).value) ) goto c206;
/* select * 70 * 72 , {175,185} */
  if ( REF(70).value.boolean ) goto c175;
  if ( REF(72).value.boolean ) goto c185;
/* branch , 236 */
   goto c236;
c175:
/* size 74 64 */
  REF(74).value.integer = REF(64).value.table->size;
  REF(74).tsdr = & dr_integer;
/* equal . 74 =(1) , 183 */
  if ( REF(74).value.integer == 1 ) goto c183;
/* chs_lit 75 , "Usage: exit" */
  if( !chs_lit(DEF(75),"Usage: exit") ) goto ch_depletion;
  current->ip = 42;
cb180:
/* call 11.2 75 , 23 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(11)DOT(2),
          arguments[1] = DEF(75),
          arguments[1+1] = nil,& arguments[0]),QUAL(23),sched)) != Normal)
     goto ch_raise_exception;
  return;
c181:
/* exit , 26 */
  ch_e = handler_type__exit; ch_val = QUAL(26); goto ch_exception;
c183:
/* exit , 27 */
  ch_e = handler_type__exit; ch_val = QUAL(27); goto ch_exception;
c185:
/* block , 28 */
  if((ch_returncode = che_block(QUAL(28),sched)) != Normal)
     goto ch_raise_exception;
/* size 76 64 */
  REF(76).value.integer = REF(64).value.table->size;
  REF(76).tsdr = & dr_integer;
/* equal . 76 =(1) , 191 */
  if ( REF(76).value.integer == 1 ) goto c191;
/* exit , 29 */
  ch_e = handler_type__exit; ch_val = QUAL(29); goto ch_exception;
c191:
  current->ip = 46;
cb191:
/* call 38 77 , 30 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(38),
          arguments[1] = DEF(77),
          arguments[1+1] = nil,& arguments[0]),QUAL(30),sched)) != Normal)
     goto ch_raise_exception;
  return;
c192:
/* call 11.2 77 , 23 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(11)DOT(2),
          arguments[1] = DEF(77),
          arguments[1+1] = nil,& arguments[0]),QUAL(23),sched)) != Normal)
     goto ch_raise_exception;
  return;
c193:
/* endblock */
  che_endblock(sched);
/* branch , 201 */
   goto c201;
c195:
/* discard 77 */
  (*(REF(77).tsdr)->finalize)(REF(77).value,F_DISCARD,sched);
  REF(77).tsdr = & dr_bottom;
/* chs_lit 78 , "pwd command not available" */
  if( !chs_lit(DEF(78),"pwd command not available") ) goto ch_depletion;
  current->ip = 50;
cb197:
/* call 11.2 78 , 23 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(11)DOT(2),
          arguments[1] = DEF(78),
          arguments[1+1] = nil,& arguments[0]),QUAL(23),sched)) != Normal)
     goto ch_raise_exception;
  return;
c199:
/* chs_lit 79 , "Usage: pwd" */
  if( !chs_lit(DEF(79),"Usage: pwd") ) goto ch_depletion;
  current->ip = 53;
cb200:
/* call 11.2 79 , 23 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(11)DOT(2),
          arguments[1] = DEF(79),
          arguments[1+1] = nil,& arguments[0]),QUAL(23),sched)) != Normal)
     goto ch_raise_exception;
  return;
c198:
c201:
/* discard 77 */
  (*(REF(77).tsdr)->finalize)(REF(77).value,F_DISCARD,sched);
  REF(77).tsdr = & dr_bottom;
/* discard 79 */
  (*(REF(79).tsdr)->finalize)(REF(79).value,F_DISCARD,sched);
  REF(79).tsdr = & dr_bottom;
/* discard 78 */
  (*(REF(78).tsdr)->finalize)(REF(78).value,F_DISCARD,sched);
  REF(78).tsdr = & dr_bottom;
/* exit , 26 */
  ch_e = handler_type__exit; ch_val = QUAL(26); goto ch_exception;
c206:
/* block , 31 */
  if((ch_returncode = che_block(QUAL(31),sched)) != Normal)
     goto ch_raise_exception;
/* size 80 64 */
  REF(80).value.integer = REF(64).value.table->size;
  REF(80).tsdr = & dr_integer;
/* equal . 80 =(2) , 212 */
  if ( REF(80).value.integer == 2 ) goto c212;
/* exit , 32 */
  ch_e = handler_type__exit; ch_val = QUAL(32); goto ch_exception;
c212:
/* noop */
  
/* lookup_at 81 64 =(1) */
  if (1 >= (ch_t = REF(64).value.table)->size) goto ch_notfound;
  (*(REF(81).tsdr)->finalize)(REF(81).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(81).value,1);
  REF(81).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 82 81 */
  if((ch_returncode = cp_variant(& ch_val, REF(81).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(82).tsdr)->finalize)(REF(82).value,F_DISCARD,sched);
  REF(82).value = ch_val;
  REF(82).tsdr = & dr_variant;
/* case 83 82 */
  REF(83).value.enumeration = REF(82).value.variant->info.variant_case;
  REF(83).tsdr = & dr_enumeration;
/* equal . 83 =(0) , 221 */
  if ( REF(83).value.enumeration == 0 ) goto c221;
/* exit , 32 */
  ch_e = handler_type__exit; ch_val = QUAL(32); goto ch_exception;
c221:
/* reveal 82 , 0 */
  if (0 != REF(82).value.variant->info.variant_case) goto ch_case_error;
  current->ip = 56;
cb222:
/* call 33 82.0 , 33 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(33),
          arguments[1] = DEF(82)DOT(0),
          arguments[1+1] = nil,& arguments[0]),QUAL(33),sched)) != Normal)
     goto ch_raise_exception;
  return;
c223:
/* endblock */
  che_endblock(sched);
/* branch , 231 */
   goto c231;
c225:
/* chs_lit 84 , "cwd command not available" */
  if( !chs_lit(DEF(84),"cwd command not available") ) goto ch_depletion;
  current->ip = 59;
cb226:
/* call 11.2 84 , 23 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(11)DOT(2),
          arguments[1] = DEF(84),
          arguments[1+1] = nil,& arguments[0]),QUAL(23),sched)) != Normal)
     goto ch_raise_exception;
  return;
c228:
/* discard 82 */
  (*(REF(82).tsdr)->finalize)(REF(82).value,F_DISCARD,sched);
  REF(82).tsdr = & dr_bottom;
/* chs_lit 85 , "Usage: cwd directory" */
  if( !chs_lit(DEF(85),"Usage: cwd directory") ) goto ch_depletion;
  current->ip = 62;
cb230:
/* call 11.2 85 , 23 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(11)DOT(2),
          arguments[1] = DEF(85),
          arguments[1+1] = nil,& arguments[0]),QUAL(23),sched)) != Normal)
     goto ch_raise_exception;
  return;
c227:
c231:
/* discard 82 */
  (*(REF(82).tsdr)->finalize)(REF(82).value,F_DISCARD,sched);
  REF(82).tsdr = & dr_bottom;
/* discard 85 */
  (*(REF(85).tsdr)->finalize)(REF(85).value,F_DISCARD,sched);
  REF(85).tsdr = & dr_bottom;
/* discard 84 */
  (*(REF(84).tsdr)->finalize)(REF(84).value,F_DISCARD,sched);
  REF(84).tsdr = & dr_bottom;
/* exit , 26 */
  ch_e = handler_type__exit; ch_val = QUAL(26); goto ch_exception;
c236:
/* discard 73 */
  (*(REF(73).tsdr)->finalize)(REF(73).value,F_DISCARD,sched);
  REF(73).tsdr = & dr_bottom;
/* discard 71 */
  (*(REF(71).tsdr)->finalize)(REF(71).value,F_DISCARD,sched);
  REF(71).tsdr = & dr_bottom;
/* discard 69 */
  (*(REF(69).tsdr)->finalize)(REF(69).value,F_DISCARD,sched);
  REF(69).tsdr = & dr_bottom;
  current->ip = 65;
cb240:
/* call 26 3.2 3.1 64 86 87 88 89 , 34 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(26),
          arguments[1] = DEF(3)DOT(2),
          arguments[2] = DEF(3)DOT(1),
          arguments[3] = DEF(64),
          arguments[4] = DEF(86),
          arguments[5] = DEF(87),
          arguments[6] = DEF(88),
          arguments[7] = DEF(89),
          arguments[7+1] = nil,& arguments[0]),QUAL(34),sched)) != Normal)
     goto ch_raise_exception;
  return;
c241:
/* copy 90 3.2 */
  if((ch_returncode = (REF(3)DOT(2).tsdr->copy)(& ch_val, REF(3)DOT(2).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(90).tsdr)->finalize)(REF(90).value,F_DISCARD,sched);
  REF(90).value = ch_val;
  REF(90).tsdr = datarepmap[REF(3)DOT(2).tsdr->number];
  current->ip = 67;
cb242:
/* call 29 3.2 86 87 90 88 , 35 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(29),
          arguments[1] = DEF(3)DOT(2),
          arguments[2] = DEF(86),
          arguments[3] = DEF(87),
          arguments[4] = DEF(90),
          arguments[5] = DEF(88),
          arguments[5+1] = nil,& arguments[0]),QUAL(35),sched)) != Normal)
     goto ch_raise_exception;
  return;
c243:
/* endblock */
  che_endblock(sched);
/* branch , 313 */
   goto c313;
c245:
/* discard 54 */
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54).tsdr = & dr_bottom;
/* chs_lit 91 , "^D" */
  if( !chs_lit(DEF(91),"^D") ) goto ch_depletion;
  current->ip = 70;
cb247:
/* call 11.2 91 , 23 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(11)DOT(2),
          arguments[1] = DEF(91),
          arguments[1+1] = nil,& arguments[0]),QUAL(23),sched)) != Normal)
     goto ch_raise_exception;
  return;
c248:
/* exit , 27 */
  ch_e = handler_type__exit; ch_val = QUAL(27); goto ch_exception;
c250:
/* discard 64 */
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  REF(64).tsdr = & dr_bottom;
/* discard 67 */
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  REF(67).tsdr = & dr_bottom;
/* chs_lit 92 , "Command syntax error -- nothing executed" */
  if( !chs_lit(DEF(92),"Command syntax error -- nothing executed") )
     goto ch_depletion;
  current->ip = 73;
cb253:
/* call 11.2 92 , 23 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(11)DOT(2),
          arguments[1] = DEF(92),
          arguments[1+1] = nil,& arguments[0]),QUAL(23),sched)) != Normal)
     goto ch_raise_exception;
  return;
c255:
/* chs_lit 93 , "Unable to create process '" */
  if( !chs_lit(DEF(93),"Unable to create process '") ) goto ch_depletion;
/* concat 94 93 89 */
  if ((ch_returncode = che_concat(DEF(94),DEF(93),DEF(89),sched)) != Normal)
     goto ch_raise_exception;
/* discard 93 */
  (*(REF(93).tsdr)->finalize)(REF(93).value,F_DISCARD,sched);
  REF(93).tsdr = & dr_bottom;
/* chs_lit 95 , "'" */
  if( !chs_lit(DEF(95),"'") ) goto ch_depletion;
/* concat 96 94 95 */
  if ((ch_returncode = che_concat(DEF(96),DEF(94),DEF(95),sched)) != Normal)
     goto ch_raise_exception;
/* discard 94 */
  (*(REF(94).tsdr)->finalize)(REF(94).value,F_DISCARD,sched);
  REF(94).tsdr = & dr_bottom;
/* discard 95 */
  (*(REF(95).tsdr)->finalize)(REF(95).value,F_DISCARD,sched);
  REF(95).tsdr = & dr_bottom;
  current->ip = 76;
cb262:
/* call 11.2 96 , 23 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(11)DOT(2),
          arguments[1] = DEF(96),
          arguments[1+1] = nil,& arguments[0]),QUAL(23),sched)) != Normal)
     goto ch_raise_exception;
  return;
c264:
/* chs_lit 97 , "Unable to create pipe '" */
  if( !chs_lit(DEF(97),"Unable to create pipe '") ) goto ch_depletion;
/* concat 98 97 89 */
  if ((ch_returncode = che_concat(DEF(98),DEF(97),DEF(89),sched)) != Normal)
     goto ch_raise_exception;
/* discard 97 */
  (*(REF(97).tsdr)->finalize)(REF(97).value,F_DISCARD,sched);
  REF(97).tsdr = & dr_bottom;
/* chs_lit 99 , "'" */
  if( !chs_lit(DEF(99),"'") ) goto ch_depletion;
/* concat 100 98 99 */
  if ((ch_returncode = che_concat(DEF(100),DEF(98),DEF(99),sched)) != Normal)
     goto ch_raise_exception;
/* discard 98 */
  (*(REF(98).tsdr)->finalize)(REF(98).value,F_DISCARD,sched);
  REF(98).tsdr = & dr_bottom;
/* discard 99 */
  (*(REF(99).tsdr)->finalize)(REF(99).value,F_DISCARD,sched);
  REF(99).tsdr = & dr_bottom;
  current->ip = 79;
cb271:
/* call 11.2 100 , 23 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(11)DOT(2),
          arguments[1] = DEF(100),
          arguments[1+1] = nil,& arguments[0]),QUAL(23),sched)) != Normal)
     goto ch_raise_exception;
  return;
c273:
/* discard 64 */
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  REF(64).tsdr = & dr_bottom;
/* discard 67 */
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  REF(67).tsdr = & dr_bottom;
/* chs_lit 92 , "Command syntax error -- nothing executed" */
  if( !chs_lit(DEF(92),"Command syntax error -- nothing executed") )
     goto ch_depletion;
  current->ip = 82;
cb276:
/* call 11.2 92 , 23 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(11)DOT(2),
          arguments[1] = DEF(92),
          arguments[1+1] = nil,& arguments[0]),QUAL(23),sched)) != Normal)
     goto ch_raise_exception;
  return;
c278:
/* discard 67 */
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  REF(67).tsdr = & dr_bottom;
/* discard 73 */
  (*(REF(73).tsdr)->finalize)(REF(73).value,F_DISCARD,sched);
  REF(73).tsdr = & dr_bottom;
/* discard 71 */
  (*(REF(71).tsdr)->finalize)(REF(71).value,F_DISCARD,sched);
  REF(71).tsdr = & dr_bottom;
/* discard 69 */
  (*(REF(69).tsdr)->finalize)(REF(69).value,F_DISCARD,sched);
  REF(69).tsdr = & dr_bottom;
/* discard 75 */
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).tsdr = & dr_bottom;
/* branch , 313 */
   goto c313;
c284:
/* exit , 27 */
  ch_e = handler_type__exit; ch_val = QUAL(27); goto ch_exception;
c286:
/* discard 56 */
  (*(REF(56).tsdr)->finalize)(REF(56).value,F_DISCARD,sched);
  REF(56).tsdr = & dr_bottom;
/* discard 64 */
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  REF(64).tsdr = & dr_bottom;
/* discard 67 */
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  REF(67).tsdr = & dr_bottom;
/* discard 86 */
  (*(REF(86).tsdr)->finalize)(REF(86).value,F_DISCARD,sched);
  REF(86).tsdr = & dr_bottom;
/* discard 87 */
  (*(REF(87).tsdr)->finalize)(REF(87).value,F_DISCARD,sched);
  REF(87).tsdr = & dr_bottom;
/* discard 62 */
  (*(REF(62).tsdr)->finalize)(REF(62).value,F_DISCARD,sched);
  REF(62).tsdr = & dr_bottom;
/* discard 63 */
  (*(REF(63).tsdr)->finalize)(REF(63).value,F_DISCARD,sched);
  REF(63).tsdr = & dr_bottom;
/* discard 73 */
  (*(REF(73).tsdr)->finalize)(REF(73).value,F_DISCARD,sched);
  REF(73).tsdr = & dr_bottom;
/* discard 71 */
  (*(REF(71).tsdr)->finalize)(REF(71).value,F_DISCARD,sched);
  REF(71).tsdr = & dr_bottom;
/* discard 69 */
  (*(REF(69).tsdr)->finalize)(REF(69).value,F_DISCARD,sched);
  REF(69).tsdr = & dr_bottom;
/* discard 75 */
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).tsdr = & dr_bottom;
/* discard 90 */
  (*(REF(90).tsdr)->finalize)(REF(90).value,F_DISCARD,sched);
  REF(90).tsdr = & dr_bottom;
/* discard 54 */
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54).tsdr = & dr_bottom;
/* discard 50 */
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50).tsdr = & dr_bottom;
/* discard 61 */
  (*(REF(61).tsdr)->finalize)(REF(61).value,F_DISCARD,sched);
  REF(61).tsdr = & dr_bottom;
/* discard 59 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).tsdr = & dr_bottom;
/* discard 60 */
  (*(REF(60).tsdr)->finalize)(REF(60).value,F_DISCARD,sched);
  REF(60).tsdr = & dr_bottom;
/* discard 82 */
  (*(REF(82).tsdr)->finalize)(REF(82).value,F_DISCARD,sched);
  REF(82).tsdr = & dr_bottom;
/* discard 85 */
  (*(REF(85).tsdr)->finalize)(REF(85).value,F_DISCARD,sched);
  REF(85).tsdr = & dr_bottom;
/* discard 84 */
  (*(REF(84).tsdr)->finalize)(REF(84).value,F_DISCARD,sched);
  REF(84).tsdr = & dr_bottom;
/* discard 77 */
  (*(REF(77).tsdr)->finalize)(REF(77).value,F_DISCARD,sched);
  REF(77).tsdr = & dr_bottom;
/* discard 79 */
  (*(REF(79).tsdr)->finalize)(REF(79).value,F_DISCARD,sched);
  REF(79).tsdr = & dr_bottom;
/* discard 78 */
  (*(REF(78).tsdr)->finalize)(REF(78).value,F_DISCARD,sched);
  REF(78).tsdr = & dr_bottom;
/* chs_lit 101 , "Unexpected error executing command" */
  if( !chs_lit(DEF(101),"Unexpected error executing command") )
     goto ch_depletion;
  current->ip = 87;
cb312:
/* call 11.2 101 , 23 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(11)DOT(2),
          arguments[1] = DEF(101),
          arguments[1+1] = nil,& arguments[0]),QUAL(23),sched)) != Normal)
     goto ch_raise_exception;
  return;
c277:
c272:
c263:
c254:
c313:
/* discard 56 */
  (*(REF(56).tsdr)->finalize)(REF(56).value,F_DISCARD,sched);
  REF(56).tsdr = & dr_bottom;
/* discard 64 */
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  REF(64).tsdr = & dr_bottom;
/* discard 67 */
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  REF(67).tsdr = & dr_bottom;
/* discard 86 */
  (*(REF(86).tsdr)->finalize)(REF(86).value,F_DISCARD,sched);
  REF(86).tsdr = & dr_bottom;
/* discard 87 */
  (*(REF(87).tsdr)->finalize)(REF(87).value,F_DISCARD,sched);
  REF(87).tsdr = & dr_bottom;
/* discard 89 */
  (*(REF(89).tsdr)->finalize)(REF(89).value,F_DISCARD,sched);
  REF(89).tsdr = & dr_bottom;
/* discard 90 */
  (*(REF(90).tsdr)->finalize)(REF(90).value,F_DISCARD,sched);
  REF(90).tsdr = & dr_bottom;
/* discard 92 */
  (*(REF(92).tsdr)->finalize)(REF(92).value,F_DISCARD,sched);
  REF(92).tsdr = & dr_bottom;
/* discard 96 */
  (*(REF(96).tsdr)->finalize)(REF(96).value,F_DISCARD,sched);
  REF(96).tsdr = & dr_bottom;
/* discard 100 */
  (*(REF(100).tsdr)->finalize)(REF(100).value,F_DISCARD,sched);
  REF(100).tsdr = & dr_bottom;
/* discard 101 */
  (*(REF(101).tsdr)->finalize)(REF(101).value,F_DISCARD,sched);
  REF(101).tsdr = & dr_bottom;
/* branch , 107 */
   goto c107;
c325:
/* exit , 27 */
  ch_e = handler_type__exit; ch_val = QUAL(27); goto ch_exception;
/* endblock */
  che_endblock(sched);
/* branch , 336 */
   goto c336;
c328:
/* discard 56 */
  (*(REF(56).tsdr)->finalize)(REF(56).value,F_DISCARD,sched);
  REF(56).tsdr = & dr_bottom;
/* discard 64 */
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  REF(64).tsdr = & dr_bottom;
/* discard 67 */
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  REF(67).tsdr = & dr_bottom;
/* discard 73 */
  (*(REF(73).tsdr)->finalize)(REF(73).value,F_DISCARD,sched);
  REF(73).tsdr = & dr_bottom;
/* discard 71 */
  (*(REF(71).tsdr)->finalize)(REF(71).value,F_DISCARD,sched);
  REF(71).tsdr = & dr_bottom;
/* discard 69 */
  (*(REF(69).tsdr)->finalize)(REF(69).value,F_DISCARD,sched);
  REF(69).tsdr = & dr_bottom;
/* discard 91 */
  (*(REF(91).tsdr)->finalize)(REF(91).value,F_DISCARD,sched);
  REF(91).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
c336:
/* endblock */
  che_endblock(sched);
c338:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
